<?php

  $construction_contractor_theme_custom_setting_css = '';

	// Global Color
	$construction_contractor_theme_color = get_theme_mod('construction_contractor_theme_color', '#F30F0A');

	$construction_contractor_theme_custom_setting_css .=':root {';
		$construction_contractor_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($construction_contractor_theme_color ).'!important;';
	$construction_contractor_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$construction_contractor_scroll_alignment = get_theme_mod('construction_contractor_scroll_alignment', 'right');

    if($construction_contractor_scroll_alignment == 'right'){
        $construction_contractor_theme_custom_setting_css .='.scroll-up{';
            $construction_contractor_theme_custom_setting_css .='right: 30px;!important;';
			$construction_contractor_theme_custom_setting_css .='left: auto;!important;';
        $construction_contractor_theme_custom_setting_css .='}';
    }else if($construction_contractor_scroll_alignment == 'center'){
        $construction_contractor_theme_custom_setting_css .='.scroll-up{';
            $construction_contractor_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $construction_contractor_theme_custom_setting_css .='}';
    }else if($construction_contractor_scroll_alignment == 'left'){
        $construction_contractor_theme_custom_setting_css .='.scroll-up{';
            $construction_contractor_theme_custom_setting_css .='left: 30px;!important;';
			$construction_contractor_theme_custom_setting_css .='right: auto;!important;';
        $construction_contractor_theme_custom_setting_css .='}';
    }	

    // Related Product

	$construction_contractor_show_related_product = get_theme_mod('construction_contractor_show_related_product', true );

	if($construction_contractor_show_related_product != true){
		$construction_contractor_theme_custom_setting_css .='.related.products{';
			$construction_contractor_theme_custom_setting_css .='display: none;';
		$construction_contractor_theme_custom_setting_css .='}';
	}	

    // Featured Image Hover Effect
    $construction_contractor_show_featured = get_theme_mod('construction_contractor_featured_image_hide_show', 1);
    $construction_contractor_hover_effect = get_theme_mod('construction_contractor_single_post_featured_image_hover','none');

    if ( $construction_contractor_show_featured && $construction_contractor_hover_effect !== 'none' ) {

    $construction_contractor_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $construction_contractor_hover_effect === 'zoom-in' ) {
        $construction_contractor_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $construction_contractor_hover_effect === 'zoom-out' ) {
        $construction_contractor_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $construction_contractor_hover_effect === 'grayscale' ) {
        $construction_contractor_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $construction_contractor_hover_effect === 'sepia' ) {
        $construction_contractor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $construction_contractor_hover_effect === 'blur' ) {
        $construction_contractor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $construction_contractor_hover_effect === 'bright' ) {
        $construction_contractor_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $construction_contractor_hover_effect === 'translate' ) {
        $construction_contractor_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $construction_contractor_hover_effect === 'scale' ) {
        $construction_contractor_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}